/**
 * Vertex Class
 */

public class Vertex implements Comparable<Vertex> {
	
	private int name;

	/**
	 * @param name
	 */
	public Vertex(int name) {
		this.name = name;
	}

	/**
	 * @return the name
	 */
	public int getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(int name) {
		this.name = name;
	}
	
	/**
	 * @param v the vertex to compare this vertex to
	 * @return 0 if equals, negative is less than, and positive if greater than
	 */
	public int compareTo( Vertex v ) {
		if( name == v.getName() )
			return 0;
		else if( name < v.getName() )
			return -1;
		return 1;
	}
	
	/**
	 * @param v the vertex to check equivalence
	 * @return true if equals and false otherwise
	 */
	public boolean equals( Vertex v ) {
		if( name == v.getName() ) {
			return true;
		}
		return false;
	}
}
